import React from 'react';

import ChannelEntry from './ChannelEntry';

export default ({ channels, clients }) => {
  return (
    <ul className='channelList'>
      {channels.map(channel => {
        return (
          <li key={channel.id}>
            <ChannelEntry channel={channel} clients={clients} />
          </li>
        );
      })}
    </ul>
  );
};
